<div id="modal-login" class="modal fade modal-login" role="dialog" data-backdrop="static" data-keyboard="false">
    <form [formGroup]="form" (ngSubmit)="onSubmit()" novalidate>
        <div class="login-block col-md-3">
            <h3>
                <button class="close" (click)="hideModalLogin()" type="button">×</button>
                Login Again
                <p *ngIf="loading" class="loading-icon text-center"><img src="/assets/images/loading-timeline.gif" alt="Loading"></p>
            </h3>
            <div class="body-block">
                <div class="form-group" [class.error-style]="submitted && form.controls.username.errors">
                    <div class="input-style">
                        <input type="text" class="form-control" formControlName="username" placeholder="Username">
                        <i class="icon-user"></i>
                    </div>
                    <p *ngIf="submitted && form.controls.username.hasError('required')" class="error">
                        Username is required.
                    </p>
                </div>
                <div class="form-group" [class.error-style]="submitted && form.controls.password.errors">
                    <div class="input-style">
                        <input type="password" class="form-control" formControlName="password" placeholder="Password">
                        <i class="icon-key"></i>
                    </div>
                    <p *ngIf="submitted && form.controls.password.hasError('required')" class="error">
                        Password is required.
                    </p>
                </div>
                <div class="button-login clearfix">
                    <button type="submit" class="btn btn-danger btn-login no-margin-left">Sign In</button>
                </div>
            </div>
        </div>
    </form>
</div>